<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Reader-Wp-Lite
 */

?><!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang=""> <!--<![endif]-->
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php if ( is_single() ) { body_class( 'media single' ); } else { body_class(); } ?>>


    <button type="button" id="toggleMenu" class="toggle_menu">
      <i class="fa fa-bars"></i>
    </button>

    <div id="theSidebar" class="sidebar media-left vertical_nav">

      

      <nav class="navbar" role="navigation">

        

        <div class="navbar-header">
          <?php reader_wp_lite_site_title(); ?> 
          <?php if( get_theme_mod( 'display_logo' , '1' ) == '1') { ?>
            <?php if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) : ?>
                <?php the_custom_logo(); ?>
            <?php else : ?> 
                <h1 class="site-logo">
                  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" title="<?php bloginfo( 'name' ); ?> - <?php bloginfo( 'description' ); ?>">
                    <?php bloginfo( 'name' ); ?>
                  </a>
                </h1>
            <?php endif; ?>
        <?php } ?>  

        <?php if( get_theme_mod( 'display_site_title' , '0' ) == '1') { ?>
            <?php if ( is_front_page() && is_home() ) : ?>
                <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
            <?php else : ?>
                <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
            <?php endif; ?>
        <?php } ?>  
          
            <p class="site-description"><?php bloginfo( 'description' ); ?></p>
           
      
        </div>

       

        <div id="navbar" class="side-nav">
            <?php
                 $args = array(
                      'theme_location' => 'primary',
                      'depth' => 2,
                      'container' => false,
                      'container_class' => 'mastnav fullheight', 
                      'menu_class'  => 'nav navbar-nav',
                      'fallback_cb'       => 'wp_page_menu::fallback',
                      'walker'  => new BootstrapNavMenuWalker()
                      );
                wp_nav_menu($args);
              ?>
                        
        </div><!--/.navbar-collapse -->

         
	     
          <?php 
             if ( is_active_sidebar( 'blog-sidebar' ) ){
              dynamic_sidebar( 'blog-sidebar' );      
             }
           ?>
      
		    </nav> 

      <div class="widget widget_social theia_sticky">
        <div class="widget-details">

          <?php $twitter=get_theme_mod( 'twitter' ); if(!empty($twitter)){ ?><a href="<?php echo esc_url_raw('https://www.twitter.com/','reader-wp-lite');?><?php echo get_theme_mod( 'twitter' ); ?>"><i class="icon ti-twitter"></i><?php } else{echo "";} ?></a>
          <?php $skype=get_theme_mod( 'skype' ); if(!empty($skype)){ ?><a href="<?php echo esc_url_raw('https://www.skype.com/','reader-wp-lite');?><?php echo esc_attr( get_theme_mod( 'skype' ) ) ; ?>"><i class="icon ti-skype"></i><?php } else{echo "";} ?></a>
          <?php $instagram=get_theme_mod( 'instagram' ); if(!empty($instagram)){ ?><a href="<?php echo esc_url_raw('https://www.instagram.com/','reader-wp-lite'); ?><?php echo get_theme_mod( 'instagram' ); ?>"><i class="icon ti-instagram"></i><?php } else{echo "";} ?></a>
          <?php $dribble=get_theme_mod( 'dribble' ); if(!empty($dribble)){ ?><a href="<?php echo esc_url_raw('https://www.dribbble.com/','reader-wp-lite'); ?><?php echo get_theme_mod( 'dribble' ); ?>"><i class="icon ti-dribbble"></i><?php } else{echo "";} ?></a>
          <?php $vimeo=get_theme_mod( 'vimeo' ); if(!empty($vimeo)){ ?><a href="<?php echo esc_url_raw('https://www.vimeo.com/','reader-wp-lite'); ?><?php echo get_theme_mod( 'vimeo' ); ?>"><i class="icon ti-vimeo"></i><?php } else{echo "";} ?></a>
          <?php $facebook=get_theme_mod( 'facebook' ); if(!empty($facebook)){ ?><a href="<?php echo esc_url_raw('https://www.facebook.com/','reader-wp-lite'); ?><?php echo get_theme_mod( 'facebook' );?>"><i class="icon ti-facebook"></i><?php }else{echo "";} ?></a>


        </div><!-- /.widget-details -->
      </div><!-- /.widget -->
      
    </div><!-- /.sidebar -->


      
